/**********************************************************************************
 * Project: GSTU - STU Parameter fitting package                                  *
 * Package: GSTU                                                                  *
 * Class  : R0c                                                                   *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of ratio between charm and hadronic Z width                    *
 *                                                                                *
 * Authors:                                                                       *
 *      Gfitter group                                                             *
 *                                                                                *
 * Redistribution and use in source and binary forms, with or without             *
 * modification, are permitted according to the terms listed in the file          *
 * LICENSE.                                                                       *
 **********************************************************************************/
#ifndef GSTU_R0c
#define GSTU_R0c

#include "GSTU/SMPredictions.h"

namespace GSTU {

   class R0c : public SMPredictions {

   public:
      
      R0c();
      ~R0c() {}

      // Theory Prediction
      Double_t GetTheoryPrediction();

      // Initialise coefficients
      void Initialise() {}

   protected:
      
      ClassDef(R0c,0)
   };
}

#endif
