/**********************************************************************************
 * Project: Gfitter - A ROOT-integrated generic fitting package                   *
 * Package: Gfitter                                                               *
 * Class  : GResultBase                                                           *
 *                                                                                *
 * Description:                                                                   *
 *      Implementation                                                            *
 *                                                                                *
 * see corresponding .h file for author and license information                   *         
 *                                                                                *
 **********************************************************************************/

#include <iostream>

#include "Gfitter/GResultBase.h"

using namespace std;

ClassImp(Gfitter::GResultBase)         

Gfitter::GResultBase::GResultBase()
   : GObject(),
     m_parName( "" ),
     m_refData( 0 )
{
   InitClassName( "GRessultBase" );
}

Gfitter::GResultBase::~GResultBase()
{}
 
ostream& Gfitter::operator << ( ostream& os, const Gfitter::GResultBase& result ) 
{
   os << "Fit result for parameter \"" <<  result.GetParName() << "\": " << result.GetValue() 
      << " chi2min: " << result.GetChi2Min() ;

   return os;
}

